import { withInstall } from '/nerv-lib/util';
import application from './system/application.vue';
import viewAddForm from './service/add-form.vue';
import viewAddFormV2 from './service/add-form-v2.vue';
import viewForm from './service/view-form.vue';
import viewListTable from './service/list-table.vue';
import viewDetail from './service/detail.vue';
import viewDetailV2 from './service/detailV2.vue';
import viewConfig from './config/config.vue';
import viewContent from './system/layout/content.vue';
import viewMenuManage from './menuManage/index.vue';
import viewRoleType from './userManage/roleType/index.vue';
import viewRoleTypeAddOrEdit from './userManage/roleType/addOrEdit.vue';
import viewSetRolePerson from './userManage/roleType/setRolePerson.vue';
import viewUserList from './userManage/userList/index.vue';
import viewUserAdd from './userManage/userList/add.vue';
import viewUserEdit from './userManage/userList/edit.vue';

import viewUserDetail from './userManage/userList/detail.vue';

export const NsApplication = withInstall(application);
export const NsViewAddForm = withInstall(viewAddForm);
export const NsViewAddFormV2 = withInstall(viewAddFormV2);
export const NsViewForm = withInstall(viewForm);
export const NsViewListTable = withInstall(viewListTable);
//先使用新版样式，后续在自己项目里面替换
export const NsViewDetail = withInstall(viewDetail);
// export const NsViewDetail = withInstall(viewDetailV2);
export const NsViewDetailV2 = withInstall(viewDetailV2);
export const NsViewConfig = withInstall(viewConfig);
export const NsViewContent = withInstall(viewContent);
export const NsViewMenuManage = withInstall(viewMenuManage);
export const NsViewRoleType = withInstall(viewRoleType);
export const NsViewRoleTypeAddOrEdit = withInstall(viewRoleTypeAddOrEdit);
export const NsViewSetRolePerson = withInstall(viewSetRolePerson);
export const NsViewUserList = withInstall(viewUserList);
export const NsViewUserAdd = withInstall(viewUserAdd);
export const NsViewUserEdit = withInstall(viewUserEdit);
export const NsViewUserDetail = withInstall(viewUserDetail);
